/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checkresult;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;

@XmlAccessorType(XmlAccessType.FIELD)
public class ValidationResults {
	
	@XmlElementWrapper(name = "global_errors")
	@XmlElement(name = "error")
	private List<ErrorReport> globalErrors;
	
	@XmlElement(name = "building_report")
	private List<FeatureReport> buildingReports;
	
	@XmlElement(name = "vegetation_report")
	private List<FeatureReport> vegetationReports;
	
	@XmlElement(name = "transportation_object_report")
	private List<FeatureReport> transportationReports;
	
	@XmlElement(name = "land_object_report")
	private List<FeatureReport> landReports;
	
	@XmlElement(name = "bridge_object_report")
	private List<FeatureReport> bridgeReports;
	
	@XmlElement(name = "water_object_report")
	private List<FeatureReport> waterReports;
	

	public List<FeatureReport> getBuildingReports() {
		if (buildingReports == null) {
			buildingReports = new ArrayList<>();
		}
		return buildingReports;
	}

	public void setBuildingReports(List<FeatureReport> buildingReports) {
		this.buildingReports = buildingReports;
	}
	
	public List<ErrorReport> getGlobalErrors() {
		if (globalErrors == null) {
			globalErrors = new ArrayList<>();
		}
		return globalErrors;
	}
	
	public void setGlobalErrors(List<ErrorReport> globalErrors) {
		this.globalErrors = globalErrors;
	}

	public List<FeatureReport> getVegetationReports() {
		if (vegetationReports == null) {
			vegetationReports = new ArrayList<>();
		}
		return vegetationReports;
	}

	public void setVegetationReports(List<FeatureReport> vegetationReports) {
		this.vegetationReports = vegetationReports;
	}

	public List<FeatureReport> getTransportationReports() {
		if (transportationReports == null) {
			transportationReports = new ArrayList<>();
		}
		return transportationReports;
	}

	public void setTransportationReports(List<FeatureReport> transportationReports) {
		this.transportationReports = transportationReports;
	}

	public List<FeatureReport> getLandReports() {
		if (landReports == null) {
			landReports = new ArrayList<>();
		}
		return landReports;
	}

	public void setLandReports(List<FeatureReport> landReports) {
		this.landReports = landReports;
	}

	public List<FeatureReport> getBridgeReports() {
		if (bridgeReports == null) {
			bridgeReports = new ArrayList<>();
		}
		return bridgeReports;
	}

	public void setBridgeReports(List<FeatureReport> bridgeReports) {
		this.bridgeReports = bridgeReports;
	}

	public List<FeatureReport> getWaterReports() {
		if (waterReports == null) {
			waterReports = new ArrayList<>();
		}
		return waterReports;
	}

	public void setWaterReports(List<FeatureReport> waterReports) {
		this.waterReports = waterReports;
	}
	
	

}
